[POST] ~/email/sendrequest
Sends an vehicle information request to the corresponding owner.
Request Information
URI Parameters
None.
Body Parameters
The request.
An instance of: VehicleRequestModel| Name | Description | Type | |
|---|---|---|---|
|
Gets or sets the identifier of the vehicle. |
integer | ||
|
Gets or sets a value indicating whether the request individual installment. |
boolean | ||
|
Gets or sets a value indicating whether the request test drive. |
boolean | ||
|
Gets or sets a value indicating whether the request trade in. |
boolean | ||
|
Gets or sets a value indicating whether the request consultation. |
boolean | ||
|
Gets or sets a value indicating whether the request further information. |
boolean | ||
|
Gets or sets a value indicating whether the request callback. |
boolean | ||
|
Gets or sets the test drive date. |
date | ||
|
Gets or sets a value indicating whether the test drive morning. |
boolean | ||
|
Gets or sets a value indicating whether the test drive afternoon. |
boolean | ||
|
Gets or sets the type. |
InquiryType | ||
|
Gets or sets the additional annotation. |
string | ||
|
Gets or sets a value indicating whether the send copy to me. |
boolean | ||
|
Gets or sets a value indicating whether the contact by email. |
boolean | ||
|
Gets or sets a value indicating whether the contact by telephone. |
boolean | ||
|
Gets or sets a value indicating whether the user consented to the privacy policy. |
boolean | ||
|
Gets or sets information describing the google ad tracking. |
GoogleAdTrackingInfo | ||
|
Gets or sets information describing the google re captcha. |
GoogleReCaptchaInfo | ||
|
Gets or sets URL of the option in confirm. |
string | ||
|
Gets or sets URL of the imprint. |
string | ||
|
Gets or sets URL of the privacy statement. |
string | ||
|
Gets or sets the reference. |
string | ||
|
Gets or sets the culture. |
string | ||
|
Gets or sets the firstName. |
string | ||
|
Gets or sets the surname. |
string | ||
|
Gets or sets the salutation. |
string | ||
|
Gets or sets the title. |
string | ||
|
Gets or sets the company. |
string | ||
|
Gets or sets the street number. |
string | ||
|
Gets or sets the zip town. |
string | ||
|
Gets or sets the town. |
string | ||
|
Gets or sets the town. |
string | ||
|
Gets or sets the email address. |
string |
Request Formats
application/json, text/json
{
"vehicleId": 1,
"requestIndividualInstalment": true,
"requestTestDrive": true,
"requestTradeIn": true,
"requestConsultation": true,
"requestFurtherInfo": true,
"requestCallback": true,
"testDriveDate": "2026-03-18T21:01:05.8930686+01:00",
"testDriveMorning": true,
"testDriveAfternoon": true,
"type": "Callback",
"additionalAnnotation": "sample string 7",
"sendCopyToMe": true,
"contactByEmail": true,
"contactByTelephone": true,
"consentPrivacyPolicy": true,
"googleAdTrackingInfo": {
"campaignId": "sample string 1",
"source": "sample string 2",
"keywords": [
"sample string 1",
"sample string 2"
]
},
"googleReCaptchaInfo": {
"reCaptchaCode": "sample string 1"
},
"optInConfirmUrl": "sample string 12",
"imprintUrl": "sample string 13",
"privacyUrl": "sample string 14",
"reference": "sample string 15",
"culture": "sample string 16",
"firstname": "sample string 17",
"surname": "sample string 18",
"salutation": "sample string 19",
"title": "sample string 20",
"company": "sample string 21",
"streetNumber": "sample string 22",
"zipCode": "sample string 23",
"town": "sample string 24",
"telephone": "sample string 25",
"emailAddress": "sample string 26"
}
Response Information
Resource Description
An IHttpActionResult.
An instance of: HttpResponseMessage| Name | Description | Type | |
|---|---|---|---|
| Version | |||
| HttpContent | |||
| HttpStatusCode | |||
| string | |||
| Collection of Object | |||
| HttpRequestMessage | |||
| boolean |